package com.rbevans;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class FormServlet
 */
@WebServlet("/FormServlet")
public class FormServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public FormServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		  response.setContentType("text/html;charset=UTF-8");
	        PrintWriter out = response.getWriter();
	        try {
	            out.println("<html>");
	            out.println("<head>");
	            out.println("<title>Servlet SimpleForm Headers</title>");  
	            out.println("</head>");
	            out.println("<body>");
	            out.println("<b>Request Method:</b> " + request.getMethod() + "<br>");
	            out.println("<b>Request URI:</b> " + request.getRequestURI() + "<br>");            
	            out.println("<b>Request Protocol:</b> " + request.getProtocol() + "<br>");                        
	            out.println("<table border=\"1\" align=\"CENTER\">");
	            out.println("<tr bgcolor=\"#FFAD00\">");
	            out.println("<th>Header Name</th><th>Header Value</th>");
	            out.println("</tr>");
	            Enumeration headerNames = request.getHeaderNames();
	            while (headerNames.hasMoreElements()) {
	                String headerName = (String)headerNames.nextElement();
	                out.println("<tr><td>" + headerName + "</td>");
	                out.println("    <td>" + request.getHeader(headerName) + "</td></tr>");
	            }
	            out.println("</table>");
	            out.println("</body>");
	            out.println("</html>");
	        } finally { 
	            out.close();
	        }
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
